Skip to main content
GET
/
shippo-accounts
Python
import shippo

s = shippo.Shippo(
    api_key_header='ShippoToken <API_TOKEN>',
    shippo_api_version='2018-02-08',
)


res = s.shippo_accounts.list()

if res is not None:
    # handle response
    pass
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "email": "hippo@shippo.com",
      "first_name": "Shippo",
      "last_name": "Meister",
      "company_name": "Acme",
      "object_created": "2023-11-07T05:31:56Z",
      "object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
      "object_updated": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:25

The number of results to return per page (max 100)

Required range: x <= 100

Response

Paginated list of Shippo accounts

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
Shippo Account · object[]